%global pypi_name pytest-shutil

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 5
Summary:        A goodie-bag of unix shell and environment tools for py.test
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-shutil/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRequires:  python3-mock
BuildRequires:  python3-path
BuildRequires:  python3-execnet
BuildRequires:  python3-termcolor

%description
This library is a goodie-bag of Unix shell and 
environment management tools for automated tests.

%package -n python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Recommends:     python3dist(termcolor)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library is a goodie-bag of Unix shell and 
environment management tools for automated tests.

%prep
%setup -qn %{pypi_name}-%{version}

sed -i \
    -e "/'contextlib2'/d" \
    -e "/'termcolor'/d" \
    -e "s/'path.py'/'path'/" \
    setup.py

# This is not needed when building from the sdist
sed -i -e '/setuptools-git/d' common_setup.py

%build
%py3_build

%install
%py3_install

%check
# test_pretty_formatter requires termcolor
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} -m pytest

%files -n python3-%{pypi_name}
%doc README.md CHANGES.md
%{python3_sitelib}/*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 1.7.0-5.mga9
+ Revision: 1833238
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.7.0-4.mga9
+ Revision: 1778173
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 1.7.0-3.mga9
+ Revision: 1712343
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-2.mga9
+ Revision: 1701613
- fix dependencies

* Thu Mar 11 2021 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1701604
- imported package python-pytest-shutil

